<ion-modal-view>
	<ion-header-bar>
	  <h1 class="title">Agregar sitio</h1>
	  <button class="button button-clear button-assertive" on-tap="agregarCancelled()">Cancelar</button>
	</ion-header-bar>
	<ion-content>
	  <form name="agregarForm" ng-submit="agregarSite()" class="finder-form agregarForm" enctype="multipart/form-data">
        <div class="list">
          <label class="item item-input">
            <input name="nombre" type="text" placeholder="Nombre" ng-model="data.site.nombre" required class="input-name">
            <span class="error" ng-show="agregarForm.nombre.$error.required">Obligatorio </span><br>
          </label>
          <label class="item item-input">
            <input name="direccion" type="text" placeholder="Dirección" ng-change="searchAddress(data.site.direccion)" ng-model="data.site.direccion" required class="input-address"> <!-- ng-model-options="{ updateOn: 'default blur', debounce: {'default': 300, 'blur': 0} }" -->
            <span class="error" ng-show="agregarForm.direccion.$error.required">Obligatorio </span><br>
          </label>
          <!-- de http://codepen.io/mhartington/pen/jFnpJ -->
          <ion-scroll direction="y" ng-show="addresses.length > 0"  delegate-handle="addressesScroll">
            <ul class="list">
                <li class="item" style="cursor: pointer" ng-repeat="a in addresses" ng-tap="addressSelected(a); data.site.direccion = a.streetAddress; data.site.position = a.position" ng-click="addressSelected(a); data.site.direccion = a.streetAddress; data.site.position = a.position">  
                       {{a.streetAddress}}
                </li>
            </ul>
          </ion-scroll>
          <label class="item item-input">
            <input name="telefono" type="tel" placeholder="Teléfono" ng-model="data.site.telefono" class="input-phone">
          </label>
          <label class="item item-input">
            <input name="web" type="text" placeholder="Página web" ng-model="data.site.web" class="input-web">
          </label>
          <label class="item item-input">
            <input name="email" type="email" placeholder="Ingrese su email para contactarlo" ng-model="data.site.autor.email" required class="input-email">
            <span class="error" ng-show="agregarForm.email.$error.required">Obligatorio </span><br>
          </label>
          <input type="file" id="take-picture" accept="image/*" hidden="true">
          <label class="item" style="line-height:44px;">
            <small style="color:#999;">Imágenes</small>
            <div class="button" style="float:right;" on-tap="cameraOnTap(data.site._id, false)"><i class="icon ion-images"></i> Galería </div>
            <div class="button" style="float:right; margin-right:2px;" on-tap="cameraOnTap(data.site._id, true)"><i class="icon ion-camera"></i> Cámara </div>
            <div ng-repeat="image in imageDataURI track by $index">
              <div class="preview-img" style="display:inline-block; float:left;">
                <img ng-if="image" ng-src="{{image}}" width="50" height="50" style="margin:5px 3px 0 0; border: 2px solid #ddd;" />
              </div>
            </div>
            <!--<span style="width:100%;" class="error text-right" /*ng-show="agregarForm.email.$error.required"*/> </span><br>-->
          </label>
          <button ng-show="imageDataURI" style="min-height:30px; height:30px; line-height:3px;" ng-click="clearPictures()" class="button button-block button-assertive">Borrar fotos</button>
        </div>
        <div class="padding">
          <!-- <button ng-click="reset()" ng-disabled="isUnchanged(visitorInfo)">RESTORE</button> -->
          <button type="submit" ng-disabled="agregarForm.$invalid" class="button button-block button-assertive">Agregar sitio</button>


        </div>
      </form>
	</ion-content>
</ion-modal-view>